﻿namespace WDCF
{
    /// <summary>
    /// Enumeration for defining the possible numeric compare operators
    /// </summary>
    public enum NumericOperator
    {
        None = 0,

        //A equals B
        Equals = 1,

        //A is greater than B
        GreaterThan = 2,

        //A is smaller than B
        SmallerThan = 4,

        //A is greater or equals B
        GreaterThanEquals = 8,

        //A is smaller or equals B
        SmallerThanEquals = 16,
    }
}
