﻿
using System;

namespace WDCF
{
    /// <summary>
    /// Internal type. Used to determine which Converter to use.
    /// </summary>
    internal enum PropertyType
    {
        //type unknown
        Unknown = 1,

        //the value is a number type (e.g. int, double, decimal, etc.)
        Number = 2,

        //the value is a string type
        String = 4,

        //the value is a boolean (used by default)
        Boolean = 8,
    }
}
