﻿
namespace WDCF
{
    /// <summary>
    /// Enumeration for defining the possible string compare operators
    /// </summary>
    public enum StringOperator
    {
        None = 0,

        //string A equals string B
        Equals = 1,

        //string A contains string B
        Contains = 2,

        //string A starts with string B
        StartsWith = 4,

        //string A ends with string B
        EndsWith = 8,

        //string with a given length
        Length = 16,
    }
}
